import 'package:rasadyar_core/core.dart';

part 'approved_price.freezed.dart';
part 'approved_price.g.dart';

@freezed
abstract class ApprovedPrice with _$ApprovedPrice {
  const factory ApprovedPrice({
    bool? approved,
    double? lowestPrice,
    double? highestPrice,
    double? lowestWeight,
    double? highestWeight,
  }) = _ApprovedPrice;

  factory ApprovedPrice.fromJson(Map<String, dynamic> json) =>
      _$ApprovedPriceFromJson(json);
}
